# Uses of Interface
org.eclipse.emf.cdo.spi.server.ISessionProtocol

Packages that use ISessionProtocol
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of ISessionProtocol in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return ISessionProtocol
Modifier and Type
Method
Description
`ISessionProtocol`
ISession.`getProtocol()`

## Uses of ISessionProtocol in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type ISessionProtocol
Modifier and Type
Method
Description
`InternalSession`
InternalSessionManager.`openSession(ISessionProtocol sessionProtocol)`
`InternalSession`
InternalSessionManager.`openSession(ISessionProtocol protocol, int sessionID)`